Skip to content

Updating Watcher or rolling back to previous version

We recommend updating Flussonic Watcher regularly to the latest release. Usually releases come out at the beginning of each month.

If necessary, you can always revert to a previously installed version.

You can also install a rolling update (the so-called master branch) of Flussonic Watcher on the Managing server and Flussonic Media Server on Streamers. The rolling update may have features that will be included in the next release but not yet available in the current release. This version is not guaranteed to be stable and should only be used for testing and evaluation purposes. Please use the release on live sites.

Caution

Use the same Flussonic products versions on all servers in your Cluster (see Installation way for details), i.e. always update both the Managing server and Streamers together.

Updating or rolling back the Managing server

Updating Watcher Managing server

Run the following commands to update Watcher:

apt-get update
apt-get -y install flussonic-watcher
service flussonic restart

During the update, Watcher automatically migrates the database to work with the new version. In rare cases it might be necessary to migrate the database manually. Watcher will show the message about that in the UI.

Installing a rolling update (master) to the Watcher Managing server

Remove the currently installed version of Flussonic Watcher and its dependencies:

apt remove flussonic-watcher

Change the repository to the one with the rolling updates and install Flussonic Watcher:

echo "deb http://apt.flussonic.com/repo master/" > /etc/apt/sources.list.d/flussonic.list;
apt update;
apt install flussonic-watcher;
service flussonic restart

Returning Watcher Managing server to the major release

Remove the currently installed version of Flussonic Watcher and its dependencies.

apt remove flussonic-watcher

Change the repository to the one with official releases and install Flussonic Watcher:

echo "deb http://apt.flussonic.com binary/" > /etc/apt/sources.list.d/flussonic.list;
apt update;
apt install flussonic-watcher;
service flussonic restart

Note

We strongly recommend that you back up your database every day and before you update Watcher.

Rolling back Watcher Managing server to the previous version

To rollback to the previous version of Watcher, follow these steps:

  1. Create a backup copy of the database so that if necessary you can quickly restore the service:

    sudo -u postgres pg_dump vsaas_production > vsaas_production-$(date +%s)_backup_dump.sql

  2. Determine dependencies:

    apt-cache show flussonic-watcher=20.06 | egrep 'Depends|Suggests:' Depends: flussonic (>= 19.12), flussonic-python (=20.05.1), postgresql (>= 9.6)

  3. Be sure to rollback the DB version to the corresponding Watcher version.

    Use this command to get version history:

    export DB='postgresql://vsaas:vsaas@localhost/vsaas_production' /opt/flussonic/contrib/watcher db history

    Example output:

    Use DB variable from flussonic config (postgresql://vsaas:demopass@localhost/vsaas_production) Use CLUSTER variable from flussonic config (mysql://admin:demopass@127.0.0.1:14406/cluster) 73890c17e7b4 -> a1ecd76da5e8 (head), camera_vision_alg 0c650872aea1 -> 73890c17e7b4, add_locale dad763f2dc9a -> 0c650872aea1, Add external id to person v20.07 -> dad763f2dc9a, user_readonly_field 9955e21bb2e6 -> v20.07, v20.07 0f72327f2dc8 -> 9955e21bb2e6, create faces and persons v20.06 -> 0f72327f2dc8, add_folder_maps v20.05 -> v20.06, v20.06 772e49544a48 -> v20.05, v20.05

    If you do not know exactly the required version of the database, then contact technical support at support@flussonic.com. An incorrect version will cause the service to malfunction.

    Watcher v20.06 corresponds to v20.06 of the database. Roll back the database:

    export DB='postgresql://vsaas:vsaas@localhost/vsaas_production' /opt/flussonic/contrib/watcher db downgrade v20.06

    Note

    Please refer here for details on the DB environment variable.

  4. Install the required version and its corresponding dependencies:

    apt install flussonic-python=20.05.1 flussonic-watcher=20.06

  5. Restart the service:

    service flussonic restart

Updating and rolling back the Streamers

Updating your Streamers to the current release

Run these commands on each streamer:


apt-get update
apt-get -y install flussonic
service flussonic restart

Installing a rolling update (master) on Streamer

Remove the currently installed version of Flussonic and its dependencies:


apt remove flussonic

Change the repository to the one with rolling updates and install Flussonic:


echo "deb http://apt.flussonic.com/repo master/" > /etc/apt/sources.list.d/flussonic.list;
apt update;
apt install flussonic;
service flussonic restart

Returning the Streamer to the current release

Remove the currently installed version of Flussonic and its dependencies.

Caution

Before removing the packages, create a backup of the configuration files located in the directory /etc/flussonic and the .db files in the directory /opt/flussonic/priv.


apt remove flussonic

Change the repository to the one with official releases and install Flussonic:


echo "deb http://apt.flussonic.com binary/" > /etc/apt/sources.list.d/flussonic.list;
apt update;
apt install flussonic;
service flussonic restart

Caution

If Flussonic fails to start, run the commands systemctl status flussonic.service and journalctl -xe and send their output to our technical support team.

Rolling the Streamer back to the previous version

To do this, you must specify the exact version of the flussonic package and its dependencies.

Suppose you want to revert to version 19.06.1.

Get dependencies' versions by using apt-cache:


    apt-cache show flussonic=19.06.1  | egrep '^(Depends|Suggests):'

Result will be like:


    Depends: flussonic-erlang (=21.3.6) | flussonic-erlang_21.3.6, flussonic-transcoder-base (=4.6.2) | flussonic-transcoder-base_4.6.2
    Suggests: flussonic-transcoder (>= 4.5)

Install packages with these versions:


    apt-get install flussonic=19.06.1 flussonic-erlang=21.3.6 flussonic-transcoder-base=4.6.2

Caution

Before installing packages create a backup of the configuration files in the directory /etc/flussonic and .db files in the directory /opt/flussonic/priv.